/* ----------------------------------------------------------------------
   LAMMPS - Large-scale Atomic/Molecular Massively Parallel Simulator
   www.cs.sandia.gov/~sjplimp/lammps.html
   Steve Plimpton, sjplimp@sandia.gov, Sandia National Laboratories

   Copyright (2003) Sandia Corporation.  Under the terms of Contract
   DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains
   certain rights in this software.  This software is distributed under 
   the GNU General Public License.

   See the README file in the top-level LAMMPS directory.
------------------------------------------------------------------------- */

#ifndef FIX_CAVITY_H
#define FIX_CAVITY_H

#include "fix.h"

class FixCavity : public Fix {
 public:
  FixCavity(int, char **);
  ~FixCavity() {}
  int setmask();
  void init();
  void setup();
  void post_force(int);
  void post_force_respa(int, int, int);

 private:
  int istyle;
	double delta, scale_delta;
  double k;
  double x0,y0,z0,r0;
  int cdim;
  double c1,c2;
  int nlevels_respa;

  void options(int, char **);
};

#endif
